package logic

import (
	"app.yhyue.com/moapp/jybase/common"
	"context"
	"jyBXBase/rpc/type/bxbase"
	"net/http"

	"jyBXBase/api/internal/svc"
	"jyBXBase/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type DelSearchScreenLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
	r      *http.Request
}

func NewDelSearchScreenLogic(ctx context.Context, svcCtx *svc.ServiceContext, r *http.Request) *DelSearchScreenLogic {
	return &DelSearchScreenLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
		r:      r,
	}
}

func (l *DelSearchScreenLogic) DelSearchScreen(req *types.DelSearchScreen) (resp *types.CommonRes, err error) {
	res, err0 := l.svcCtx.Bxbase.DelSearch(l.ctx, &bxbase.DelSearchReq{
		Id:     req.Id,
		AppId:  req.AppId,
		UserId: req.UserId,
	})
	if err0 != nil {
		return &types.CommonRes{
			Err_code: -1,
			Err_msg:  "错误",
			Data:     nil,
		}, nil
	}
	return &types.CommonRes{
		Err_code: common.IntAll(res.ErrCode),
		Err_msg:  res.ErrMsg,
		Data:     nil,
	}, nil
}
